Subject: MPLS Management Overview Draft

From: Thomas Nadeau <[email-masked]>
Date: Mon, 08 Oct 2001 08:23:36 -0400

Hi,

	During the MPLS meeting in London, Bert W. had requested that
I type up a draft providing an overview view of how all of the MPLS-related
MIBs fit together. The initial version of this draft is now available
here:

http://search.ietf.org/internet-drafts/draft-nadeau-mpls-mgmt-overview-00.txt

	The co-authors and I welcome your comments on this draft.

	As a point of order, should the MPLS WG accept this draft
as a working group document right away?  This document doesn't
satisfy a specific WG work item, but it was asked for directly
by one of the WG's ADs.

	--Tom

------------------------------------------------------------------------
Mathematics is the supreme nostalgia of our time.

---

From: Irfan Lateef <[email-masked]>
Date: Tue, 09 Oct 2001 14:27:09 -0400

Tom,

This was a much needed effort. Just one feedback.
You have examples in all the other draft MIBs. It will
be good if you can add those examples in this draft and
adjust the values of the attributes to show the linkages.
Just a thought.
Regards,
Irfan Lateef

--
Irfan Lateef
Village Networks Inc,

---

From: Thomas Nadeau <[email-masked]>
Date: Tue, 09 Oct 2001 14:32:51 -0400

>adjust the values of the attributes to show the linkages.

         Do you mean copy the examples out of the other
drafts and put them in here as part of one large example?

         --Tom

---

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 9 Oct 2001 14:37:02 -0400

Please move this discussion to just one list.

I will respond on [email-masked]

Adrian
--
Adrian Farrel
Movaz Networks Inc.
Tel: 703-847-1867
[email-masked]
----- Original Message -----
From: "Irfan Lateef" <[email-masked]>
To: "Thomas Nadeau" <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>; <[email-masked]>; "Vijay
Srinivasan" <[email-masked]>; "Wijnen, Bert (Bert)" <[email-masked]>;
"Scott Bradner" <[email-masked]>; <[email-masked]>; "Cheenu Srinivasan"
<[email-masked]>
Sent: Tuesday, October 09, 2001 2:27 PM
Subject: Re: MPLS Management Overview Draft

---

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 9 Oct 2001 14:42:04 -0400

Irfan,

The existing MIBs contain worked examples that include all of the
cross-references between MIBs.
It is generally not good practice to include this sort of material in two places
and it would be an editorial nightmare.

I can well believe that a full worked example of how to make all of the MIBs in
a system hang together in detail would be hugely useful.  I don't believe,
however, that this should live in an Internet Draft.  You may find this
information in Tom's book when it is published (that'll be $10 please, Tom) or
more likely get it as a tutorial from your software vendor.

We will, however, look at beefing up the 'dependencies' sections to describe the
abstract references between the MIBs to make it still clearer how they relate to
each other.

Regards,
Adrian
--
Adrian Farrel
Movaz Networks Inc.
Tel: 703-847-1867
[email-masked]

---

From: Irfan Lateef <[email-masked]>
Date: Tue, 09 Oct 2001 16:11:54 -0400

Tom,

I am referring to the examples in
sec.8 of TE-MIB
sec.8 of Bundling MIB
sec.8 of GMPLS TE MIB(Actually you left this MIB out in your draft?)
sec.6 of FTN MIB
sec.8 of LMP MIB
sec.8 of LSR MIB
sec.11 of VPN MIB

I think just copying may not be sufficient, but as Adrian said, we may have to make
this
(appear!) as a one huge working example together.

My other suggestion which I missed was to include the GMPLS related MIBs and the
OSPF MIB.

Adrian,
As you said, such an example will be hugely useful, only if "timely" delivered. I
have no clue
about Tom's book, it may be a good reference for later use, but for now the
examples will help
the people who are running with his drafts.

I am not sure about the category of this draft. If it is Informational or
progressing to a BCP
then I think it may be the right place. Somebody can correct me if I am worng.

Regards,
Irfan Lateef

--
Irfan Lateef
Village Networks Inc,

---

From: Thomas Nadeau <[email-masked]>
Date: Tue, 09 Oct 2001 16:35:12 -0400

Hi,

>this (appear!) as a one huge working example together.

         We (myself and co-authors of each of the MIBs you
referred to) have tried to make the examples in those MIBs
sufficiently cross-referenced, and sufficiently detailed. I think that
we should make those examples fully detailed in their native
documents. It was however, my recollection that the goal and intent of
this document was to show how things fit together at a high level, and
not delve too much into the details. The point was to make
this document a good starting point for developers and operators.
 From here they could go to the specific drafts for more details.

>My other suggestion which I missed was to include the GMPLS related MIBs
>and the OSPF MIB.

         Which OSPF MIB?

>have no clue about Tom's book, it may be a good reference for later use, 
>but for now the
>examples will help the people who are running with his drafts.

         The book issue is irrelevant here. Lets focus on what it takes
to have a sufficient and succinct MPLS MIB overview document.

         --Tom

---

From: Irfan Lateef <[email-masked]>
Date: Tue, 09 Oct 2001 17:55:58 -0400

Hi,
I am referring RFC 1850 OSPF v2 MIB to explain the relationship
(or the lack) of this MIB with TE MIB and Bundling MIB.
It is not clear to me sometimes how a TE link or bundled link would
reflect in
the OSPF-MIB.

Irfan Lateef

Thomas Nadeau wrote:

>> have no clue about Tom's book, it may be a good reference for later
>> use, but for now the
> -----------------------------------------------------------------------Mathematics
> is the supreme nostalgia of our time.

--
Irfan Lateef
Village Networks Inc,

---

From: Thomas Nadeau <[email-masked]>
Date: Wed, 10 Oct 2001 09:47:26 -0400

>It is not clear to me sometimes how a TE link or bundled link would 

         TE link parameters are expressed in the link bundling MIB.
We can add a reference to it in the dependencies subsection
for the LMP MIB.

         --Tom

>>------------------------------------------------------------------------Mathematics